aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-08-28 10:11:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-28 10:25:25 +0000
commitf3dd1539387a09c2ec6a3fa55a73fc005c535f57 (patch)
tree6b52cf5565eb7786047b28951012c5448c27ef86
parent71eac93d41d3e2f8b475113253d5aa063a8fefa2 (diff)
downloadaports-f3dd1539387a09c2ec6a3fa55a73fc005c535f57.tar.gz
aports-f3dd1539387a09c2ec6a3fa55a73fc005c535f57.tar.bz2
aports-f3dd1539387a09c2ec6a3fa55a73fc005c535f57.tar.xz
main/xf86-input-keyboard: rebuild against xorg-1.11
-rw-r--r--main/xf86-input-keyboard/APKBUILD5
1 files changed, 3 insertions, 2 deletions
diff --git a/main/xf86-input-keyboard/APKBUILD b/main/xf86-input-keyboard/APKBUILD
index 5c820e1b67..cecdd5da1c 100644
--- a/main/xf86-input-keyboard/APKBUILD
+++ b/main/xf86-input-keyboard/APKBUILD
@@ -1,12 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86-input-keyboard
pkgver=1.6.0
-pkgrel=0
+pkgrel=1
pkgdesc="X.org keyboard input driver"
url="http://xorg.freedesktop.org/"
arch="all"
license="custom"
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-doc"
depends=
makedepends="pkgconfig libxkbfile-dev xorg-server-dev libxi-dev libxrandr-dev"
source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2"
@@ -21,6 +21,7 @@ build() {
package() {
cd "$srcdir"/$pkgname-$pkgver
make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/xorg/modules/*/*.la || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
md5sums="e2abe9f13e526a73cb68a7d257546eba xf86-input-keyboard-1.6.0.tar.bz2"